/* Copyright (C) 2006 Pierre Nicolas
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _PARAMS_H_
#define _PARAMS_H_

#include <string>
#include <vector>

using namespace std;

class Params
{
 public:
  int _lseq;

  // inference
  double _mutratemin;
  double _mutratemax;
  double _lambdamin;
  double _lambdamax;
  double _alphamin;
  double _alphamax;
  double _gmin;
  double _gmax;
  int _nstemcells_prior_min;
  int _nstemcells_prior_max;
  int _nstemcells_diff_max;
  //double _nstemcells_min;
  //double _nstemcells_max;
  time_t _seed;
  vector<double> _mu_m_vect;
  vector<double> _mu_u_vect;
  vector<double> _switch_rates_inc;
  vector<double> _switch_rates_dec;
  double _alpha;
  int _nb_mutrate;
  int _N;
  double _lambda;
  double _g;
  double _mu_m;
  double _mu_u;
  double _p_error;
  bool _simul; 
  int _nsimul; 
  int _niter;
  int _nclusters;
  int _nb_mutclass;
  bool _update_mutrate;
  bool _sym_mutrate;
  bool _contextdep_mutmodel;
  int _update_coalrate;
  int _update_perror;
  bool _inverse_prior;
  int _nb_meth_range;
  bool _update_g;
  bool _update_alpha;
  int _update_N;

  bool _unique_Nlambda;
  bool _unique_mutmodel;
  bool _no_clusterupdate;
  bool _unique_perror;

 public:
  Params(string paramfilename);
  ~Params();

};

#endif // _PARAMS_H_
