/* Copyright (C) 2006 Pierre Nicolas
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef _StatWithinCrypt_H_
#define _StatWithinCrypt_H_

#include <fstream>

using namespace std;

class StatWithinCrypt
{
 public:
  int _isimul;
  int _icrypt;
  int _nb_cells;

  int _nb_polym_sites;

  int _nb_tags;
  int _nb_occ_max;
  int _nb_singletons;
  int _max_methyl;
  int _min_methyl; 
  int _nb_unmeth; 
  double _ave_methyl;
  int _colless_coef;
  int _nb_100_meth;
  int _nb_80_meth;
  int _max_dist;
  double _ave_dist;
  double _ave_sqdist;
  
 public:
  StatWithinCrypt();
  ~StatWithinCrypt();
  void print(ostream& out);
  void printHeader(ostream& out);
};

#endif
